/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __IP_FILTER__
#define __IP_FILTER__

int ip_filter_init(void);
int ip_filter_close(void);
void ip_filter_snort_stopped(pid_t pid);
void ip_filter_snort_started(pid_t pid);

void call_original_nf_reinject(struct nf_queue_entry *entry, unsigned int verdict);

extern struct ipf_queue g_main_queue;
extern struct ipf_queue g_pending_queue;

#endif // __IP_FILTER__
